Download it now!
Bug 115682 - Clone formatting tool is not cloning RTL in Arabic
Summary: Clone formatting tool is not cloning RTL in Arabic
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Clone-Formatting RTL-UI
  Show dependency treegraph
 
Reported: 2018-02-13 11:27 UTC by Khalil
Modified: 2020-10-19 07:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file with two lines in Arabic (4.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-13 11:28 UTC, Khalil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Khalil 2018-02-13 11:27:24 UTC
Description:
When you use clone formatting tool in Arabic it is not cloning RTL direction for the text.

Steps to Reproduce:
1.Open New writer file and enter Arabic text and add formating with RTL.
2.Then add new Arabic text with clear formatting style
3.Then use clone formatting tool to clone format from first text to second text.

Actual Results:  
1- Fonts & color formatting is cloned but text will remain in LTR direction.

Expected Results:
Fonts & color formatting is cloned but with RTL direction.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Khalil 2018-02-13 11:28:00 UTC
Created attachment 139860 [details]
test file with two lines in Arabic
Comment 2 Buovjaga 2018-03-06 15:01:16 UTC
Repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 13164cc99dc6184fb2c12e56e9c0dea0d5692eec
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 4th 2018
Comment 3 Dina 2018-09-17 20:43:47 UTC
It manifests in Hebrew as well

OS: Lubuntu 18.04 32 bit
Version: 6.1.1.2
Build ID: 1:6.1.1~rc2-0ubuntu0.18.04.1~lo3
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: he-IL (en_US.UTF-8); Calc: group threaded
Comment 4 QA Administrators 2019-09-18 02:53:33 UTC Comment hidden (obsolete)
Comment 5 Khalil 2019-10-03 04:46:33 UTC
Bug still not resolved.

Version: 6.2.6.2
Build ID: 1:6.2.6-0ubuntu0.16.04.1~lo1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Khalil 2020-08-18 06:46:32 UTC
bug still not resolved:

Ubuntu: 18.04
Version: 6.4.5.2
Build ID: a726b36747cf2001e06b58ad5db1aa3a9a1872d6
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Mike Kaganski 2020-10-19 07:01:20 UTC
The "writing mode" (RTL flag) is a paragraph attribute. So clone formatting tool only copies it when paragraph attributes are copied: as mentioned in the related help [1],

> By default only the character formatting is copied ; to include paragraph
> formatting, hold down Ctrl when you click. To copy only the paragraph
> formatting, hold down Ctrl+Shift when you click.

Using Ctrl, the RTL is copien as expected.
Closing NOTABUG.

[1] https://help.libreoffice.org/7.0/en-US/text/shared/guide/paintbrush.html